iPhone 4 Jailbreak Officially Out


 

We knew it was just a matter of time before the Dev-Team fellows would eventually catch up with iPhone 4 jailbreaking technology and make it widely open for everyone to use. While not perfect yet (probably due to servers overload), the iphone 4 jailbreaking process has been making some significant strides, and yesterday was a big step, as the team (Comex) has finally released a very handy tool for all iOS devices, including both iPad and iPhone 4 running iOS 4.0 and 4.01 platforms. To get it, just go to www.jailbreakme.modmyi.com (via Safari Mobile) and start the “JailBreakMe 2.0 star” process, at your own risk. One thing’s for sure, it’s already legal to be used, now that a new DMCA exception was approved by the Library of Congress, specifically allowing jailbreaking Stateside.

Update1: Looks like the good guys at 9 To 5 Mac has managed to pull it off, and guess whatit works! Check out the video after the break.

Update2: Already going through the iPhone 4 jailbreaking process? Mind you there might be some issues with FaceTime video calling and MMS messaging, at the end of the road. But fret not, boys and girls, because those cool and very useful features can be easily and quickly restored, thanks to this iPhoneDelivery app which you can find on Cydia, in your phone. According to RedmondPie, it would automatically fix those problems and make them run again in a matter of seconds or just a little bit more.

Update3: And to fulfill completely their commitments to the Apple fanboys community, Dev-Team has just released a new ultrasnow app version that would easily unlock your new magical iPhone 4 device (with 01.59 baseband) or any 3G/3GS mobile phones running 04.26.08, 05.11.07, 05.12.01 and 05.13.04 basebands. To learn more about how to jailbreak and unlock your handhelds (at your own risk) just hit the jump and watch the step-by-step video (the second one).

[Jailbreakme]

ARVE Error: id and provider shortcodes attributes are mandatory for old shortcodes. It is recommended to switch to new shortcodes that need only url

ARVE Error: id and provider shortcodes attributes are mandatory for old shortcodes. It is recommended to switch to new shortcodes that need only url


 


Nir Ben Yona Shein

Internet freak and technology geek; Aspiring screenwriter, devoted tech blogger & Technologer chief editor . Early adopter with a keen interest in gadgets, technology, internet and mobile.

0

Your Cart